// Copyright CodeSpartan, 2023. All rights reserved.

#include "BuffAssetCpp.h"

FString UBuffAssetCpp::GetIdentifierString() const
{
	return GetPrimaryAssetId().ToString();
}

FPrimaryAssetId UBuffAssetCpp::GetPrimaryAssetId() const
{
	// This is a DataAsset and not a blueprint so we can just use the raw FName
	// For blueprints you need to handle stripping the _C suffix
	return FPrimaryAssetId(AssetType, GetFName());
}